import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'employee.jser.dart';

class Employee {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('firstName', isNullable: false,  )
  final String firstName;
  
  @Alias('lastName', isNullable: false,  )
  final String lastName;
  
  @Alias('email', isNullable: false,  )
  final String email;
  
  @Alias('phoneNumber', isNullable: false,  )
  final num phoneNumber;
  
  @Alias('roleId', isNullable: false,  )
  final String roleId;
  
  @Alias('pin', isNullable: false,  )
  final num pin;
  
  @Alias('assignedOutlets', isNullable: false,  )
  final List<String> assignedOutlets;
  
  @Alias('description', isNullable: false,  )
  final String description;
  

  Employee(
      

{
     this.id = null,  
    
     this.firstName = null,  
     this.lastName = null,  
     this.email = null,  
     this.phoneNumber = null,  
     this.roleId = null,  
     this.pin = null,  
     this.assignedOutlets = const [],  
     this.description = null 
    }
  );

  @override
  String toString() {
    return 'Employee[id=$id, firstName=$firstName, lastName=$lastName, email=$email, phoneNumber=$phoneNumber, roleId=$roleId, pin=$pin, assignedOutlets=$assignedOutlets, description=$description, ]';
  }
}

@GenSerializer(nullableFields: true)
class EmployeeSerializer extends Serializer<Employee> with _$EmployeeSerializer {

}

