import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'gratuity.jser.dart';

class Gratuity {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('amount', isNullable: false,  )
  final num amount;
  
  @Alias('isPercentage', isNullable: false,  )
  final bool isPercentage;
  

  Gratuity(
      

{
     this.id = null,  
    
     this.name = null,  
     this.amount = null,  
     this.isPercentage = null 
    }
  );

  @override
  String toString() {
    return 'Gratuity[id=$id, name=$name, amount=$amount, isPercentage=$isPercentage, ]';
  }
}

@GenSerializer(nullableFields: true)
class GratuitySerializer extends Serializer<Gratuity> with _$GratuitySerializer {

}

