import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'item_category.jser.dart';

class ItemCategory {
  
  @Alias('id', isNullable: false,  )
  final num id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  

  ItemCategory(
      

{
     this.id = null,  
    
     this.name = null 
    }
  );

  @override
  String toString() {
    return 'ItemCategory[id=$id, name=$name, ]';
  }
}

@GenSerializer(nullableFields: true)
class ItemCategorySerializer extends Serializer<ItemCategory> with _$ItemCategorySerializer {

}

