import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/modifier_options.dart';

part 'modifier.jser.dart';

class Modifier {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('options', isNullable: false,  )
  final List<ModifierOptions> options;
  
  @Alias('appliedItems', isNullable: false,  )
  final List<String> appliedItems;
  

  Modifier(
      

{
     this.id = null,  
    
     this.name = null,  
     this.options = const [],  
     this.appliedItems = const [] 
    }
  );

  @override
  String toString() {
    return 'Modifier[id=$id, name=$name, options=$options, appliedItems=$appliedItems, ]';
  }
}

@GenSerializer(nullableFields: true)
class ModifierSerializer extends Serializer<Modifier> with _$ModifierSerializer {

}

