import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/order_cash.dart';

part 'order_payments.jser.dart';

class OrderPayments {
  
  @Alias('paymentType', isNullable: false,  )
  final String paymentType;
  
  @Alias('cash', isNullable: false,  )
  final OrderCash cash;
  
  @Alias('edc', isNullable: false,  )
  final String edc;
  

  OrderPayments(
      

{
     this.paymentType = null,  
     this.cash = null,  
     this.edc = null 
    
    }
  );

  @override
  String toString() {
    return 'OrderPayments[paymentType=$paymentType, cash=$cash, edc=$edc, ]';
  }
}

@GenSerializer(nullableFields: true)
class OrderPaymentsSerializer extends Serializer<OrderPayments> with _$OrderPaymentsSerializer {

}

