import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/promo_reward.dart';

import 'package:pointpos_api/model/promo_promo_period.dart';

import 'package:pointpos_api/model/promo_requirement.dart';

part 'promo.jser.dart';

class Promo {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('promoType', isNullable: false,
          
  )
  final String promoType;
  //enum promoTypeEnum {  buyXgetX,  setMenu,  minimumPurchase,  };
  @Alias('assignedOutlets', isNullable: false,  )
  final List<String> assignedOutlets;
  
  @Alias('requirement', isNullable: false,  )
  final PromoRequirement requirement;
  
  @Alias('reward', isNullable: false,  )
  final PromoReward reward;
  
  @Alias('allowMultiple', isNullable: false,  )
  final bool allowMultiple;
  
  @Alias('promoPeriod', isNullable: false,  )
  final PromoPromoPeriod promoPeriod;
  

  Promo(
      

{
     this.id = null,  
    
     this.name = null,  
     this.promoType = null,  
     this.assignedOutlets = const [],  
     this.requirement = null,  
     this.reward = null,  
     this.allowMultiple = null,  
     this.promoPeriod = null 
    }
  );

  @override
  String toString() {
    return 'Promo[id=$id, name=$name, promoType=$promoType, assignedOutlets=$assignedOutlets, requirement=$requirement, reward=$reward, allowMultiple=$allowMultiple, promoPeriod=$promoPeriod, ]';
  }
}

@GenSerializer(nullableFields: true)
class PromoSerializer extends Serializer<Promo> with _$PromoSerializer {

}

