import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'supplier.jser.dart';

class Supplier {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('phoneNumber', isNullable: false,  )
  final num phoneNumber;
  
  @Alias('email', isNullable: false,  )
  final String email;
  
  @Alias('address', isNullable: false,  )
  final String address;
  
  @Alias('city', isNullable: false,  )
  final String city;
  
  @Alias('state', isNullable: false,  )
  final String state;
  
  @Alias('zip', isNullable: false,  )
  final String zip;
  

  Supplier(
      

{
     this.id = null,  
    
     this.name = null,  
     this.phoneNumber = null,  
     this.email = null,  
     this.address = null,  
     this.city = null,  
     this.state = null,  
     this.zip = null 
    }
  );

  @override
  String toString() {
    return 'Supplier[id=$id, name=$name, phoneNumber=$phoneNumber, email=$email, address=$address, city=$city, state=$state, zip=$zip, ]';
  }
}

@GenSerializer(nullableFields: true)
class SupplierSerializer extends Serializer<Supplier> with _$SupplierSerializer {

}

