import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/table_location.dart';

part 'table.jser.dart';

class Table {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('tableGroup', isNullable: false,  )
  final String tableGroup;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('pax', isNullable: false,  )
  final num pax;
  
  @Alias('shape', isNullable: false,
          
  )
  final String shape;
  //enum shapeEnum {  circle,  square,  oval,  };
  @Alias('location', isNullable: false,  )
  final TableLocation location;
  

  Table(
      

{
     this.id = null,  
    
     this.tableGroup = null,  
     this.name = null,  
     this.pax = null,  
     this.shape = null,  
     this.location = null 
    }
  );

  @override
  String toString() {
    return 'Table[id=$id, tableGroup=$tableGroup, name=$name, pax=$pax, shape=$shape, location=$location, ]';
  }
}

@GenSerializer(nullableFields: true)
class TableSerializer extends Serializer<Table> with _$TableSerializer {

}

