import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'unit.jser.dart';

class Unit {
  
  @Alias('id', isNullable: false,  )
  final int id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  

  Unit(
      

{
     this.id = null,  
    
     this.name = null 
    }
  );

  @override
  String toString() {
    return 'Unit[id=$id, name=$name, ]';
  }
}

@GenSerializer(nullableFields: true)
class UnitSerializer extends Serializer<Unit> with _$UnitSerializer {

}

