# pointpos_api.model.Item

## Load the model package
```dart
import 'package:pointpos_api/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** |  | [optional] [readonly] [default to null]
**name** | **String** |  | [default to null]
**categoryId** | **num** |  | [default to null]
**images** | [**List&lt;Image&gt;**](Image.md) |  | [optional] [readonly] [default to const []]
**variants** | [**List&lt;ItemVariants&gt;**](ItemVariants.md) |  | [default to const []]
**inventory** | [**List&lt;ItemInventory&gt;**](ItemInventory.md) |  | [default to const []]
**costOfGoodsSold** | [**List&lt;ItemCostOfGoodsSold&gt;**](ItemCostOfGoodsSold.md) |  | [default to const []]
**description** | **String** |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


