import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/ingredient_cost_of_goods_sold.dart';

import 'package:pointpos_api/model/ingredient_inventory.dart';

part 'ingredient.jser.dart';

class Ingredient {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('unitId', isNullable: false,  )
  final num unitId;
  
  @Alias('ingredientCategoryId', isNullable: false,  )
  final num ingredientCategoryId;
  
  @Alias('inventory', isNullable: false,  )
  final IngredientInventory inventory;
  
  @Alias('costOfGoodsSold', isNullable: false,  )
  final IngredientCostOfGoodsSold costOfGoodsSold;
  

  Ingredient(
      

{
     this.id = null,  
    
     this.name = null,  
     this.unitId = null,  
     this.ingredientCategoryId = null,  
     this.inventory = null,  
     this.costOfGoodsSold = null 
    }
  );

  @override
  String toString() {
    return 'Ingredient[id=$id, name=$name, unitId=$unitId, ingredientCategoryId=$ingredientCategoryId, inventory=$inventory, costOfGoodsSold=$costOfGoodsSold, ]';
  }
}

@GenSerializer(nullableFields: true)
class IngredientSerializer extends Serializer<Ingredient> with _$IngredientSerializer {

}

