import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'item_cost_of_goods_sold.jser.dart';

class ItemCostOfGoodsSold {
  
  @Alias('variantId', isNullable: false,  )
  final num variantId;
  
  @Alias('trackCOGS', isNullable: false,  )
  final bool trackCOGS;
  
  @Alias('averageCost', isNullable: false,  )
  final num averageCost;
  

  ItemCostOfGoodsSold(
      

{
     this.variantId = null,  
     this.trackCOGS = null,  
     this.averageCost = null 
    
    }
  );

  @override
  String toString() {
    return 'ItemCostOfGoodsSold[variantId=$variantId, trackCOGS=$trackCOGS, averageCost=$averageCost, ]';
  }
}

@GenSerializer(nullableFields: true)
class ItemCostOfGoodsSoldSerializer extends Serializer<ItemCostOfGoodsSold> with _$ItemCostOfGoodsSoldSerializer {

}

