import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'item_inventory.jser.dart';

class ItemInventory {
  
  @Alias('variantId', isNullable: false,  )
  final num variantId;
  
  @Alias('trackStock', isNullable: false,  )
  final bool trackStock;
  
  @Alias('stock', isNullable: false,  )
  final num stock;
  
  @Alias('alertStock', isNullable: false,  )
  final bool alertStock;
  
  @Alias('alertAt', isNullable: false,  )
  final num alertAt;
  

  ItemInventory(
      

{
     this.variantId = null,  
     this.trackStock = null,  
     this.stock = null,  
     this.alertStock = null,  
     this.alertAt = null 
    
    }
  );

  @override
  String toString() {
    return 'ItemInventory[variantId=$variantId, trackStock=$trackStock, stock=$stock, alertStock=$alertStock, alertAt=$alertAt, ]';
  }
}

@GenSerializer(nullableFields: true)
class ItemInventorySerializer extends Serializer<ItemInventory> with _$ItemInventorySerializer {

}

