import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'item_variants.jser.dart';

class ItemVariants {
  
  @Alias('variantId', isNullable: false,  )
  final num variantId;
  
  @Alias('sku', isNullable: false,  )
  final String sku;
  
  @Alias('price', isNullable: false,  )
  final num price;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('trackStock', isNullable: false,  )
  final bool trackStock;
  
  @Alias('stock', isNullable: false,  )
  final num stock;
  
  @Alias('alertStock', isNullable: false,  )
  final bool alertStock;
  
  @Alias('alertAt', isNullable: false,  )
  final num alertAt;
  

  ItemVariants(
      

{
     this.variantId = null,  
     this.sku = null,  
     this.price = null,  
     this.name = null,  
     this.trackStock = null,  
     this.stock = null,  
     this.alertStock = null,  
     this.alertAt = null 
    
    }
  );

  @override
  String toString() {
    return 'ItemVariants[variantId=$variantId, sku=$sku, price=$price, name=$name, trackStock=$trackStock, stock=$stock, alertStock=$alertStock, alertAt=$alertAt, ]';
  }
}

@GenSerializer(nullableFields: true)
class ItemVariantsSerializer extends Serializer<ItemVariants> with _$ItemVariantsSerializer {

}

