import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/outlet_receipt_settings.dart';

part 'outlet.jser.dart';

class Outlet {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('receiptSettings', isNullable: false,  )
  final OutletReceiptSettings receiptSettings;
  

  Outlet(
      

{
     this.id = null,  
    
     this.name = null,  
     this.receiptSettings = null 
    }
  );

  @override
  String toString() {
    return 'Outlet[id=$id, name=$name, receiptSettings=$receiptSettings, ]';
  }
}

@GenSerializer(nullableFields: true)
class OutletSerializer extends Serializer<Outlet> with _$OutletSerializer {

}

