import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/purchase_order_ingredients.dart';

part 'purchase_order.jser.dart';

class PurchaseOrder {
  
  @Alias('outletId', isNullable: false,  )
  final String outletId;
  
  @Alias('supplierId', isNullable: false,  )
  final String supplierId;
  
  @Alias('note', isNullable: false,  )
  final String note;
  
  @Alias('ingredients', isNullable: false,  )
  final List<PurchaseOrderIngredients> ingredients;
  

  PurchaseOrder(
      

{
    
     this.outletId = null,  
     this.supplierId = null,  
     this.note = null,  
     this.ingredients = const [] 
    }
  );

  @override
  String toString() {
    return 'PurchaseOrder[outletId=$outletId, supplierId=$supplierId, note=$note, ingredients=$ingredients, ]';
  }
}

@GenSerializer(nullableFields: true)
class PurchaseOrderSerializer extends Serializer<PurchaseOrder> with _$PurchaseOrderSerializer {

}

