import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'purchase_order_ingredients.jser.dart';

class PurchaseOrderIngredients {
  
  @Alias('ingredientId', isNullable: false,  )
  final String ingredientId;
  
  @Alias('orderQty', isNullable: false,  )
  final num orderQty;
  
  @Alias('unitCost', isNullable: false,  )
  final num unitCost;
  
  @Alias('total', isNullable: false,  )
  final num total;
  

  PurchaseOrderIngredients(
      

{
     this.ingredientId = null,  
     this.orderQty = null,  
     this.unitCost = null,  
     this.total = null 
    
    }
  );

  @override
  String toString() {
    return 'PurchaseOrderIngredients[ingredientId=$ingredientId, orderQty=$orderQty, unitCost=$unitCost, total=$total, ]';
  }
}

@GenSerializer(nullableFields: true)
class PurchaseOrderIngredientsSerializer extends Serializer<PurchaseOrderIngredients> with _$PurchaseOrderIngredientsSerializer {

}

