import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/recipe_ingredients.dart';

part 'recipe.jser.dart';

class Recipe {
  
  @Alias('itemId', isNullable: false,  )
  final String itemId;
  
  @Alias('variantId', isNullable: false,  )
  final num variantId;
  
  @Alias('ingredients', isNullable: false,  )
  final List<RecipeIngredients> ingredients;
  

  Recipe(
      

{
    
     this.itemId = null,  
     this.variantId = null,  
     this.ingredients = const [] 
    }
  );

  @override
  String toString() {
    return 'Recipe[itemId=$itemId, variantId=$variantId, ingredients=$ingredients, ]';
  }
}

@GenSerializer(nullableFields: true)
class RecipeSerializer extends Serializer<Recipe> with _$RecipeSerializer {

}

