import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'role.jser.dart';

class Role {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('permissionIds', isNullable: false,  )
  final List<String> permissionIds;
  

  Role(
      

{
     this.id = null,  
    
     this.name = null,  
     this.permissionIds = const [] 
    }
  );

  @override
  String toString() {
    return 'Role[id=$id, name=$name, permissionIds=$permissionIds, ]';
  }
}

@GenSerializer(nullableFields: true)
class RoleSerializer extends Serializer<Role> with _$RoleSerializer {

}

