import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'sales_type.jser.dart';

class SalesType {
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('assignedGratuity', isNullable: false,  )
  final List<String> assignedGratuity;
  

  SalesType(
      

{
    
     this.name = null,  
     this.assignedGratuity = const [] 
    }
  );

  @override
  String toString() {
    return 'SalesType[name=$name, assignedGratuity=$assignedGratuity, ]';
  }
}

@GenSerializer(nullableFields: true)
class SalesTypeSerializer extends Serializer<SalesType> with _$SalesTypeSerializer {

}

