import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'table_group.jser.dart';

class TableGroup {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('isActive', isNullable: false,  )
  final bool isActive;
  

  TableGroup(
      

{
     this.id = null,  
    
     this.name = null,  
     this.isActive = null 
    }
  );

  @override
  String toString() {
    return 'TableGroup[id=$id, name=$name, isActive=$isActive, ]';
  }
}

@GenSerializer(nullableFields: true)
class TableGroupSerializer extends Serializer<TableGroup> with _$TableGroupSerializer {

}

